## ros-galactic-urdf 2.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(urdf)

find_package(ament_cmake_ros REQUIRED)
find_package(pluginlib REQUIRED)
find_package(urdf_parser_plugin REQUIRED)
find_package(urdfdom REQUIRED)
find_package(urdfdom_headers REQUIRED)
find_package(tinyxml2_vendor REQUIRED)
find_package(TinyXML2 REQUIRED)

# Find version components
if(NOT urdfdom_headers_VERSION)
  set(urdfdom_headers_VERSION "0.0.0")
endif()
string(REGEX REPLACE "^([0-9]+).*" "\\1" URDFDOM_HEADERS_MAJOR_VERSION "${urdfdom_headers_VERSION}")
string(REGEX REPLACE "^[0-9]+\\.([0-9]+).*" "\\1" URDFDOM_HEADERS_MINOR_VERSION "${urdfdom_headers_VERSION}")
string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" URDFDOM_HEADERS_REVISION_VERSION "${urdfdom_headers_VERSION}")
set(generated_install_path "${CMAKE_CURRENT_BINARY_DIR}/include")
set(generated_compat_header "${generated_install_path}/${PROJECT_NAME}/urdfdom_compatibility.h")
include_directories(${generated_install_path})
configure_file(urdfdom_compatibility.h.in "${generated_compat_header}" @ONLY)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

install(FILES ${generated_compat_header} DESTINATION include/${PROJECT_NAME})

add_library(${PROJECT_NAME} src/model.cpp)
target_include_directories(${PROJECT_NAME}
  PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include>"
)
ament_target_dependencies(${PROJECT_NAME}
  urdf_parser_plugin
  urdfdom
  urdfdom_headers
  pluginlib
)
target_link_libraries(${PROJECT_NAME}
  urdfdom::urdfdom_model
)

if(WIN32)
  target_compile_definitions(${PROJECT_NAME} PRIVATE "URDF_BUILDING_DLL")
endif()

if(APPLE)
  set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif()

add_library(urdf_xml_parser SHARED
  src/urdf_plugin.cpp
)
target_link_libraries(urdf_xml_parser
  ${PROJECT_NAME}
)
ament_target_dependencies(urdf_xml_parser
  "pluginlib"
  "TinyXML2"
  "urdf_parser_plugin"
)

install(TARGETS urdf_xml_parser
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_google_benchmark REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  # This forces cppcheck to consider all files in this project to be C++,
  # including the headers which end with .h, which cppcheck would normally
  # consider to be C instead.
  ament_cppcheck(LANGUAGE "c++")
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify(LANGUAGE "C++")

  pluginlib_enable_plugin_testing(
    CMAKE_TARGET_VAR mock_install_target
    AMENT_PREFIX_PATH_VAR mock_install_path
    PLUGIN_CATEGORY "urdf_parser"
    PLUGIN_DESCRIPTIONS "urdf_parser_description.xml"
    PLUGIN_LIBRARIES urdf_xml_parser
  )

  ament_add_google_benchmark(plugin_overhead
    test/benchmark_plugin_overhead.cpp
    APPEND_ENV AMENT_PREFIX_PATH="${mock_install_path}"
  )
  target_link_libraries(plugin_overhead
    urdf
  )
  add_dependencies(plugin_overhead "${mock_install_target}")
endif()

ament_export_libraries(${PROJECT_NAME})
ament_export_targets(${PROJECT_NAME})
ament_export_include_directories(include)
ament_export_dependencies(pluginlib)
ament_export_dependencies(urdf_parser_plugin)
ament_export_dependencies(urdfdom)
ament_export_dependencies(urdfdom_headers)

pluginlib_export_plugin_description_file(urdf_parser_plugin "urdf_parser_description.xml")

ament_package()

=== debian/changelog ===
ros-galactic-urdf (2.5.2-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 12 May 2021 00:00:00 -0000

ros-galactic-urdf (2.5.1-1focal) focal; urgency=high

  * Work around Windows min/max bug. (#21 <https://github.com/ros2/urdf/issues/21>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-galactic-urdf (2.5.0-1focal) focal; urgency=high

  * Enable -Wall -Wextra -Wpedantic (#20 <https://github.com/ros2/urdf/issues/20>)
  * Add dependency on TinyXML2 (#19 <https://github.com/ros2/urdf/issues/19>)
  * Remove TinyXML dependency from urdf. (#17 <https://github.com/ros2/urdf/issues/17>)
  * Make urdf plugable and revive urdf_parser_plugin (#13 <https://github.com/ros2/urdf/issues/13>)
  * Contributors: Audrow Nash, Chris Lalancette, Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 05 Oct 2020 00:00:00 -0000

ros-galactic-urdf (2.4.0-1focal) focal; urgency=high

  * Deprecate methods that require tinyxml (#12 <https://github.com/ros2/urdf/issues/12>)
  * Contributors: Dan Rose

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 26 May 2020 00:00:00 -0000

ros-galactic-urdf (2.3.0-1focal) focal; urgency=high

  * Export targets in a addition to include directories / libraries. (#10 <https://github.com/ros2/urdf/issues/10>)
  * Force explicit language for uncrustify. (#9 <https://github.com/ros2/urdf/issues/9>)
  * Code style only: wrap after open parenthesis if not in one line. (#8 <https://github.com/ros2/urdf/issues/8>)
  * Contributors: Dirk Thomas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 28 Apr 2020 00:00:00 -0000

ros-galactic-urdf (2.2.0-1focal) focal; urgency=high

  * Update to remove unneeded console_bridge dependency. (#4 <https://github.com/ros2/urdf/issues/4>)
  * Contributors: Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 20 Nov 2018 00:00:00 -0000

ros-galactic-urdf (2.1.0-1focal) focal; urgency=high

  * Update project URLs (#2 <https://github.com/ros2/urdf/issues/2>)
  * Contributors: Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 25 Jun 2018 00:00:00 -0000

ros-galactic-urdf (2.0.0-1focal) focal; urgency=high

  * Ported to ROS 2
  * Added Windows compatibility
  * Switched to ROS 2 code style
  * Contributors: Chris Lalancette, Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 08 Dec 2017 00:00:00 -0000

ros-galactic-urdf (1.12.12-1focal) focal; urgency=high

  * Switched to package format 2 and made rostest a test_depend (#221 <https://github.com/ros/robot_model/pull/221>)
  * Made rostest a test_depend (#221 <https://github.com/ros/robot_model/pull/221>)
  * Added missing dependency on tinyxml (#213 <https://github.com/ros/robot_model/pull/213>)
  * Contributors: Chris Lalancette, Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 08 Nov 2017 00:00:00 -0000

ros-galactic-urdf (1.12.11-1focal) focal; urgency=high

  * Shared ptr yakkety (#207 <https://github.com/ros/robot_model/issues/207>)
    * Forward declare urdf::Model when urdfdom version is > 0.4
    * Add test for upcasting from urdf::ModelSharedPtr to urdf::ModelInterfaceSharedPtr
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 27 Jun 2017 00:00:00 -0000

ros-galactic-urdf (1.12.10-1focal) focal; urgency=high

  * Change urdf::Model to use std::shared_ptrs in urdfdom > v0.4 (#206 <https://github.com/ros/robot_model/issues/206>)
  * Contributors: Dave Coleman

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 24 Jun 2017 00:00:00 -0000

ros-galactic-urdf (1.12.9-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 00:00:00 -0000

ros-galactic-urdf (1.12.8-1focal) focal; urgency=high

  * Allow supplying NodeHandle for initParam (#168 <https://github.com/ros/robot_model/issues/168>)
    * Allow supplying NodeHandle for initParam using new function.
    * fixed missing return statement in previous commit.
  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * fix missed mandatory -std=c++11 flag (#181 <https://github.com/ros/robot_model/issues/181>)
    collada_parser,kdl_parser,urdf: add c++11 flag,
    collada_parser: replace typeof with ansi __typeof__
    builded/tested on gentoo
    Thanks den4ix for the contribution!
  * Contributors: Denis Romanchuk, Piyush Khandelwal, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-galactic-urdf (1.12.7-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 00:00:00 -0000

ros-galactic-urdf (1.12.6-1focal) focal; urgency=high

  * Addressed gcc6 build error in the urdf package, forward port of #156 <https://github.com/ros/robot_model/issues/156> (#173 <https://github.com/ros/robot_model/issues/173>)
  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 00:00:00 -0000

ros-galactic-urdf (1.12.5-1focal) focal; urgency=high

  * Added urdf_compatibility.h header to define SharedPtr types (#160 <https://github.com/ros/robot_model/issues/160>)
    This provides portability for downstream packages allowing them to use urdfdom 0.3 or 0.4.
  * urdf: Explicitly cast shared_ptr to bool in unit test. (#158 <https://github.com/ros/robot_model/issues/158>)
  * Add smart ptr typedefs (#153 <https://github.com/ros/robot_model/issues/153>)
  * Addressed gcc6 build error in urdf which was related to use of the isystem flag (#157 <https://github.com/ros/robot_model/issues/157>)
  * Remove unneeded dependency on libpcrecpp (#155 <https://github.com/ros/robot_model/issues/155>)


=== debian/control ===
Source: ros-galactic-urdf
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake-google-benchmark, ros-galactic-ament-cmake-ros, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-pluginlib, ros-galactic-tinyxml2-vendor, ros-galactic-urdf-parser-plugin, ros-galactic-urdfdom, ros-galactic-urdfdom-headers, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-urdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-pluginlib, ros-galactic-tinyxml2-vendor, ros-galactic-urdf-parser-plugin, ros-galactic-urdfdom, ros-galactic-urdfdom-headers, ros-galactic-ros-workspace
Description: This package contains a C++ parser for the Unified Robot Description Format (URDF), which is an XML format for representing a robot model.
 The code API of the parser has been through our review process and will remain backwards compatible in future releases.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-urdf//opt/ros/galactic/lib/:$(CURDIR)/debian/ros-galactic-urdf//opt/ros/galactic/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/:/opt/ros/galactic/lib/:/opt/ros/galactic/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
